
Application: gvSIG desktop - gvSIG bugs #1782
Exception removing raster layers from the TOC
04/16/2013 09:10 AM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version:
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

This exception happens when the properties dialog is opened.

java.lang.NullPointerException
    at org.gvsig.raster.impl.grid.render.DefaultRender.callVisualPropertyChanged(DefaultRender.java:262)
    at org.gvsig.raster.impl.grid.render.DefaultRender.actionValueChanged(DefaultRender.java:936)
    at org.gvsig.raster.impl.store.properties.DataStoreTransparency.callPropertyChanged(DataStoreTransparency.java:161)
    at org.gvsig.raster.impl.store.properties.DataStoreTransparency.clearListOfTransparencyRange(DataStoreTransparency.java:264)
    at org.gvsig.raster.tools.app.basic.tool.properties.control.TransparencyListener.restoreStatus(TransparencyListener.java:149)
    at org.gvsig.raster.tools.app.basic.tool.properties.control.TransparencyListener.cancel(TransparencyListener.java:169)
    at org.gvsig.raster.tools.app.basic.tool.properties.panel.TransparencyPanel.cancel(TransparencyPanel.java:250)
    at org.gvsig.gui.beans.panelGroup.AbstractPanelGroup.executeAction(AbstractPanelGroup.java:472)
    at org.gvsig.gui.beans.panelGroup.AbstractPanelGroup.cancel(AbstractPanelGroup.java:340)
    at org.gvsig.app.panelGroup.PanelGroupDialog.windowClosed(PanelGroupDialog.java:213)
    at org.gvsig.coreplugin.mdiManager.NewSkin.callWindowClosed(NewSkin.java:789)
    at org.gvsig.coreplugin.mdiManager.NewSkin.access$6(NewSkin.java:787)
    at org.gvsig.coreplugin.mdiManager.NewSkin$FrameListener.internalFrameClosing(NewSkin.java:1001)

History
#1 - 04/16/2013 09:59 AM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-raster:r1735
gvsig-raster:r1736

#2 - 02/26/2014 12:41 PM - Álvaro Anguix
- Status changed from Fixed to Closed
